# useFadeEffect

Field in [LineView](/2.5/api/csharp/yarn.unity/yarn.unity.lineview.md)

## Summary

Controls whether the line view should fade in when lines appear, and fade out when lines disappear.

```csharp
public bool useFadeEffect = true;
```

## Remarks

If this value is `true`, the [canvasGroup](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.canvasgroup.md) object's alpha property will animate from 0 to 1 over the course of [fadeInTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.fadeintime.md) seconds when lines appear, and animate from 1 to zero over the course of [fadeOutTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.fadeouttime.md) seconds when lines disappear.

If this value is `false`, the [canvasGroup](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.canvasgroup.md) object will appear instantaneously.

## See Also

* [LineView.canvasGroup](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.canvasgroup.md): The canvas group that contains the UI elements used by this Line View.
* [LineView.fadeInTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.fadeintime.md): The time that the fade effect will take to fade lines in.
* [LineView.fadeOutTime](/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.fadeouttime.md): The time that the fade effect will take to fade lines out.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.lineview/yarn.unity.lineview.usefadeeffect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
